import dynamix_sdk.base as _base
from .cloudapi import *
from .cloudbroker import *
from .system import *


class API(_base.BaseAPI):
    cloudapi: CloudapiAPI
    cloudbroker: CloudbrokerAPI
    system: SystemAPI

    @property
    def ca(self):
        return self.cloudapi

    @property
    def cb(self):
        return self.cloudbroker

    @property
    def sys(self):
        return self.system
